<?php
	class List_Controller extends Base_Controller {
	
		public function title () {
			return "List";
		}

		public function __construct ( $method, $arguments ) {
			parent::__construct( $method, $arguments );
			if( 'new' == $method ) {
				$this->newList();
			}
		}

		public function lists () {
			$lists = array();
		
			$stmt = $this->db->prepare( "SELECT id, name FROM lists" );
			$stmt->execute();
			$stmt->bind_result( $id, $name );
			while( $stmt->fetch() )
				$lists[] = array( 'id' => $id, 'name' => $name );
			$stmt->close();
			
			return $lists;
		}

		public function listId () {
			return intval( $this->arguments[0] );
		}

		public function listTitle () {
			$stmt = $this->db->prepare( "SELECT name FROM lists WHERE id = ?" );
			$stmt->bind_param( 'i', $this->arguments[0] );
			$stmt->bind_result( $name );
			$stmt->execute();
			$stmt->fetch();
			$stmt->close();
			return $name;
		}
		
		public function items () {
			$todos = array();
		
			$stmt = $this->db->prepare( "SELECT id, title, completed FROM todos WHERE list_id = ? ORDER BY completed, created" );
			$stmt->bind_param( 'i', $this->arguments[0] );
			$stmt->bind_result( $id, $title, $completed );
			$stmt->execute();
			
			while( $stmt->fetch() )
				$todos[] = array( 'id' => $id, 'title' => $title, 'completed' => $completed );
				
			$stmt->close();
			
			return $todos;
		}
		
		public function newList () {
			if( $_POST ) {
				if( empty( $_POST['name'] ) ) {
					$this->data['errors']['name'] = 'Name cannot be empty.';
				}
				else {
					$stmt = $this->db->prepare( "INSERT INTO lists ( name ) VALUES ( ? )" );
					$stmt->bind_param( 's', $_POST['name'] );
					$stmt->execute();
					header( 'Location: /PHPainfree/htdocs/list/view/' . $stmt->insert_id );
					$stmt->close();
					exit();
				}
			}
		}

	}

	$Controller = new List_Controller( $method, $arguments );