<?php
	class ToDo_Controller extends Base_Controller {
	
		public function title () {
			return "ToDo";
		}

		public function __construct ( $method, $arguments ) {
			parent::__construct( $method, $arguments );
			if( 'new' == $method ) {
				$this->newItem();
			}
			else if ( 'complete' == $method ) {
				$this->completeItem();
			}
		}
		
		public function newItem () {
			if( $_POST ) {
				if( empty( $_POST['title'] ) ) {
					$this->data['errors']['title'] = 'Item cannot be empty.';
				}
				else {
					$stmt = $this->db->prepare( "INSERT INTO todos ( list_id, title, created ) VALUES ( ?, ?, NOW() )" );
					$stmt->bind_param( 'is', intval( $this->arguments[0] ), $_POST['title'] );
					$stmt->execute();
					$stmt->close();
					header( 'Location: /PHPainfree/htdocs/list/view/' . intval( $this->arguments[0] ) );
					exit();
				}
			}
		}
		
		public function completeItem () {
			$stmt = $this->db->prepare( "SELECT list_id FROM todos WHERE id = ?" );
			$stmt->bind_param( 'i', intval( $this->arguments[0] ) );
			$stmt->bind_result( $list_id );
			$stmt->execute();
			$stmt->fetch();
			$stmt->close();
			
			$stmt = $this->db->prepare( "UPDATE todos SET completed = NOW() WHERE id = ?" );
			$stmt->bind_param( 'i', intval( $this->arguments[0] ) );
			$stmt->execute();
			$stmt->close();
			
			header( 'Location: /PHPainfree/htdocs/list/view/' . $list_id );
			exit();
		}

	}

	$Controller = new ToDo_Controller( $method, $arguments );